Package org.pushingpixels.trident

# Class TimelinePropertyBuilder<T>

java.lang.Object
org.pushingpixels.trident.TimelinePropertyBuilder<T>

public class TimelinePropertyBuilder<T> extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TimelinePropertyBuilder.DefaultPropertyGetter<T>`
Default property getter.
`static class`
`TimelinePropertyBuilder.DefaultPropertySetter<T>`
Default property setter.
`static interface`
`TimelinePropertyBuilder.PropertyAccessor<T>`
Defines how to access a property.
`static interface`
`TimelinePropertyBuilder.PropertyGetter<T>`
Defines how to get a property.
`static interface`
`TimelinePropertyBuilder.PropertySetter<T>`
Defines how to set a property.

## Method Summary

Modifier and Type
Method
Description
`TimelinePropertyBuilder<T>`
`accessWith(TimelinePropertyBuilder.PropertyAccessor<T> pAccessor)`
`TimelinePropertyBuilder<T>`
`from(T startValue)`
`TimelinePropertyBuilder<T>`
`fromCurrent()`
`TimelinePropertyBuilder<T>`
`getWith(TimelinePropertyBuilder.PropertyGetter<T> pGetter)`
`TimelinePropertyBuilder<T>`
`goingThrough(KeyFrames<T> keyFrames)`
`TimelinePropertyBuilder<T>`
`interpolatedWith(PropertyInterpolator<T> pInterpolator)`
`TimelinePropertyBuilder<T>`
`on(Object object)`
`TimelinePropertyBuilder<T>`
`setWith(TimelinePropertyBuilder.PropertySetter<T> pSetter)`
`TimelinePropertyBuilder<T>`
`to(T endValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### from

public TimelinePropertyBuilder<T> from(T startValue)

### fromCurrent

public TimelinePropertyBuilder<T> fromCurrent()

### to

public TimelinePropertyBuilder<T> to(T endValue)

### on

public TimelinePropertyBuilder<T> on(Object object)

### interpolatedWith

public TimelinePropertyBuilder<T> interpolatedWith(PropertyInterpolator<T> pInterpolator)

### setWith

public TimelinePropertyBuilder<T> setWith(TimelinePropertyBuilder.PropertySetter<T> pSetter)

### getWith

public TimelinePropertyBuilder<T> getWith(TimelinePropertyBuilder.PropertyGetter<T> pGetter)

### accessWith

public TimelinePropertyBuilder<T> accessWith(TimelinePropertyBuilder.PropertyAccessor<T> pAccessor)

### goingThrough

public TimelinePropertyBuilder<T> goingThrough(KeyFrames<T> keyFrames)